## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.partition
Interface PartitionNumInSegments

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  PartitionNumInSegmentsImpl

    public interface PartitionNumInSegments

extends SQLObject

A representation of the model object 'Partition Num In Segments'.

The following features are supported:

- `Partition Numb`
- `Segment`

See Also:
  `PartitionPackage.getPartitionNumInSegments()`

Method Summary
`int` `getPartitionNumb()` Returns the value of the 'Partition Numb' attribute.
`org.eclipse.emf.common.util.EList` `getSegment()` Returns the value of the 'Segment' reference list.
`void` `setPartitionNumb(int value)` Sets the value of the '`Partition Numb`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPartitionNumb

    int getPartitionNumb()

  Returns the value of the 'Partition Numb' attribute.

  If the meaning of the 'Partition Numb' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Partition Numb' attribute.
  See Also:
    `setPartitionNumb(int)`, `PartitionPackage.getPartitionNumInSegments_PartitionNumb()`

### setPartitionNumb

    void setPartitionNumb(int value)

  Sets the value of the '`Partition Numb`' attribute.

  Parameters:
    `value` - the new value of the 'Partition Numb' attribute.
  See Also:
    `getPartitionNumb()`

### getSegment

    org.eclipse.emf.common.util.EList getSegment()

  Returns the value of the 'Segment' reference list. The list contents are of type `SybaseASESegment`.

  If the meaning of the 'Segment' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Segment' reference list.
  See Also:
    `PartitionPackage.getPartitionNumInSegments_Segment()`